## org.apache.axis.encoding.ser.xbeans
Class XmlBeanSerializer

    java.lang.Object
      org.apache.axis.encoding.ser.xbeans.XmlBeanSerializer

All Implemented Interfaces:
  java.io.Serializable, Serializer, Serializer

public class XmlBeanSerializer
extends java.lang.Object
implements Serializer

Class XmlBeanSerializer

Author:
  Jonathan Colwell
See Also:
  Serialized Form

Constructor Summary
`XmlBeanSerializer()`

Method Summary
`static SchemaDocument.Schema[]` `findtSchemaDocument(SchemaType docType)`
`java.lang.String` `getMechanismType()` Gets the type of the XML processing mechanism and representation used by this Serializer.
`static XmlObject` `getTypeNode(SchemaDocument.Schema[] schemas, QName q)`
`static SchemaDocument` `parseSchema(java.io.InputStream stream)`
`static DefinitionsDocument` `parseWSDL(java.io.File wsdlFile)`
`static DefinitionsDocument` `parseWSDL(java.io.InputStream wsdlStream)`
`static DefinitionsDocument` `parseWSDL(java.lang.String wsdlLocation)`
`static DefinitionsDocument` `parseWSDL(java.net.URL wsdlURL)`
`static SchemaDocument.Schema[]` `selectChildren(XmlObject parent, java.lang.Class childClass)`
`void` `serialize(QName name, org.xml.sax.Attributes attributes, java.lang.Object value, SerializationContext context)` Serialize an element named name, with the indicated attributes and value.
`org.w3c.dom.Element` `writeSchema(java.lang.Class javaType, Types types)` Return XML schema for the specified type, suitable for insertion into the <types> element of a WSDL document, or underneath an <element> or <attribute> declaration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlBeanSerializer

    public XmlBeanSerializer()

Method Detail

### serialize

    public void serialize(QName name,
                          org.xml.sax.Attributes attributes,
                          java.lang.Object value,
                          SerializationContext context)
                   throws java.io.IOException

  Serialize an element named name, with the indicated attributes and value.

  Specified by:
    `serialize` in interface `Serializer`
  Parameters:
    `name` - is the element name
    `attributes` - are the attributes...serialize is free to add more.
    `value` - is the value
    `context` - is the SerializationContext
  Throws:
    `java.io.IOException`

### getMechanismType

    public java.lang.String getMechanismType()

  Description copied from interface: `Serializer`
  Gets the type of the XML processing mechanism and representation used by this Serializer.

  Specified by:
    `getMechanismType` in interface `Serializer`
  Returns:
    XML processing mechanism type

### writeSchema

    public org.w3c.dom.Element writeSchema(java.lang.Class javaType,
                                           Types types)
                                    throws java.lang.Exception

  Return XML schema for the specified type, suitable for insertion into the <types> element of a WSDL document, or underneath an <element> or <attribute> declaration.

  Specified by:
    `writeSchema` in interface `Serializer`
  Parameters:
    `javaType` - the Java Class we're writing out schema for
    `types` - the Java2WSDL Types object which holds the context for the WSDL being generated.
  Returns:
    a type element containing a schema simpleType/complexType
  Throws:
    `java.lang.Exception`
  See Also:
    `Types`

### parseWSDL

    public static DefinitionsDocument parseWSDL(java.lang.String wsdlLocation)
                                         throws java.io.IOException,
                                                java.net.MalformedURLException,
                                                XmlException

  Throws:
    `java.io.IOException`
    `java.net.MalformedURLException`
    `XmlException`

### parseWSDL

    public static DefinitionsDocument parseWSDL(java.io.File wsdlFile)
                                         throws java.io.IOException,
                                                XmlException

  Throws:
    `java.io.IOException`
    `XmlException`

### parseWSDL

    public static DefinitionsDocument parseWSDL(java.net.URL wsdlURL)
                                         throws java.io.IOException,
                                                XmlException

  Throws:
    `java.io.IOException`
    `XmlException`

### parseWSDL

    public static DefinitionsDocument parseWSDL(java.io.InputStream wsdlStream)
                                         throws java.io.IOException,
                                                XmlException

  Throws:
    `java.io.IOException`
    `XmlException`

### parseSchema

    public static SchemaDocument parseSchema(java.io.InputStream stream)
                                      throws XmlException,
                                             java.io.IOException

  Throws:
    `XmlException`
    `java.io.IOException`

### selectChildren

    public static SchemaDocument.Schema[] selectChildren(XmlObject parent,
                                                         java.lang.Class childClass)
                                                  throws java.lang.IllegalAccessException,
                                                         java.lang.NoSuchFieldException

  Throws:
    `java.lang.IllegalAccessException`
    `java.lang.NoSuchFieldException`

### findtSchemaDocument

    public static SchemaDocument.Schema[] findtSchemaDocument(SchemaType docType)
                                                       throws XmlException,
                                                              java.io.IOException,
                                                              java.lang.IllegalAccessException,
                                                              java.lang.NoSuchFieldException

  Throws:
    `XmlException`
    `java.io.IOException`
    `java.lang.IllegalAccessException`
    `java.lang.NoSuchFieldException`

### getTypeNode

    public static XmlObject getTypeNode(SchemaDocument.Schema[] schemas,
                                        QName q)

Copyright © 2005 Apache Web Services Project. All Rights Reserved.